{% extends 'rechnungstool/base.html' %}

{% block title %}
SAP - Matchingcheck | {{ block.super }}
{% endblock %}

{% block content %}
    <style>
        .top {
            vertical-align: text-top;
        }
        thead {
            background-color: white;
        }
    </style>
    <h3>Matchingcheck</h3>
    <div class="row">
    <div class="col s12">
        <ul class="tabs">
        {% for section in sections %}
            <li class="tab col s3"><a href="#tab-{{ section.title|slugify }}">
                {{ section.title }}
            </a></li>
        {% endfor %}
        </ul>
    </div>
    <form method="POST" action="{% url 'matching_check' %}">
    {% csrf_token %}
    {% for section in sections %}
    <div id="tab-{{ section.title|slugify }}" class="col s12">
        <table><thead>
            <tr>
                <th>Rechnung</th>
                <th>FI-Nummer</th>
                <th>BKZ</th>
                <th>Betrag</th>
                <th>Adresse</th>
                <th>Straße</th>
                <th>Verwendungszweck</th>
            </tr>
        </thead><tbody>
        {% for match in section.matches %}
            <tr onclick="javascript:$('#details-{{ match.booking.id|slugify }}').toggle(200);">
            {% if match.matches.0.invoice.folder == 'received' %}
                <td><a href="{% url 'admin:core_receivedinvoice_change' match.matches.0.invoice.id %}" target="_blank">{{match.matches.0.invoice}}</a></td>
                <td><a href="{% url 'admin:core_sapbooking_change' match.booking.id %}" target="_blank">{{ match.booking.fi_belegnummer }}</a></td>
                <td> - </td>
                {% if match.booking.tw_betrag == match.matches.0.invoice.booked_total %}
                    <td style="color: green;">{{ match.booking.tw_betrag }}</td>
                {% else %}
                    <td>{{ match.booking.tw_betrag }}<br><i>({{ match.matches.0.invoice.booked_total }})</i></td>
                {% endif %}
                {% with place=match.booking.postleitzahl|add:" "|add:match.booking.ort %}
                {% if place == match.matches.0.invoice.vendor.post_place %}
                    <td style="color: green;">{{ match.booking.postleitzahl }} {{ match.booking.ort }}</td>
                {% else %}
                    <td>{{ match.booking.postleitzahl }} {{ match.booking.ort }}<br><i>({{ match.matches.0.invoice.vendor.post_place }})</i></td>
                {% endif %}
                {% endwith %}
                {% if match.booking.strasse == match.matches.0.invoice.vendor.street %}
                    <td style="color: green;">{{ match.booking.strasse }}</td>
                {% else %}
                    <td>{{ match.booking.strasse }}<br><i>({{ match.matches.0.invoice.vendor.street }})</i></td>
                {% endif %}
                {% if match.booking.text == match.matches.0.invoice.reference %}
                    <td style="color: green;">{{ match.booking.text }}</td>
                {% else %}
                    <td>{{ match.booking.text }}<br><i>({{ match.matches.0.invoice.reference }})</i></td>
                {% endif %}
            {% else %}
                <td><a href="{% url 'admin:core_issuedinvoice_change' match.matches.0.invoice.id %}" target="_blank">{{match.matches.0.invoice}}</a></td>
                <td>{{ match.booking.fi_belegnummer }}</td>
                <td>{{ match.booking.referenz }}<br><i>({{ match.matches.0.invoice.bkz }})</i></td>
                {% if match.booking.tw_betrag == match.matches.0.invoice.booked_total %}
                    <td><span style="color: green;">{{ match.booking.tw_betrag }}</span></td>
                {% else %}
                    <td>{{ match.booking.tw_betrag }}<br><i>({{ match.matches.0.invoice.booked_total }})</i></td>
                {% endif %}
                <td>{{ match.booking.postleitzahl }} {{ match.booking.ort }}<br><i>({{ match.matches.0.invoice.recipient.post_place }})</i></td>
                <td>{{ match.booking.strasse }}<br><i>({{ match.matches.0.invoice.recipient.street }})</i></td>
            {% endif %}
            </tr>
                <tr id="details-{{match.booking.id|slugify}}" style="display:none;">
                    <td colspan="7" style="">
                    <div style="border: 1px dashed gray; width: 100%"><table>
                    {% for invoice_match in match.matches %}
                    <tr onclick="javascript:$('.match-{{ match.booking.id }}').removeAttr('checked', ''); $('#match-{{ match.booking.id }}-invoice-{{ invoice_match.invoice.id }}').attr('checked', 'True');">
                        <td>
                            <label>
                                <input id="match-{{ match.booking.id }}-invoice-{{ invoice_match.invoice.id }}" class="with-gap match-{{match.booking.id}}" name="booking-{{ match.booking.id }}" type="radio" value="invoice-{{ invoice_match.invoice.folder }}-{{ invoice_match.invoice.id }}" {% if forloop.counter0 == 0 %}checked{% endif %}/>
                                <span></span>
                            </label>
                        </td>
                        {% if invoice_match.invoice.folder == 'received' %}
                            <td><a href="{% url 'admin:core_receivedinvoice_change' invoice_match.invoice.id %}" target="_blank">{{invoice_match.invoice}}</a></td>
                            <td> - </td>
                            {% if match.booking.tw_betrag == invoice_match.invoice.booked_total %}
                                <td style="color: green;">{{ match.booking.tw_betrag }}</td>
                            {% else %}
                                <td>{{ invoice_match.invoice.booked_total }}</td>
                            {% endif %}
                            {% with place=match.booking.postleitzahl|add:" "|add:match.booking.ort %}
                            {% if place == invoice_match.invoice.vendor.post_place %}
                                <td style="color: green;">{{ match.booking.postleitzahl }} {{ match.booking.ort }}</td>
                            {% else %}
                                <td>{{ invoice_match.invoice.vendor.post_place }}</td>
                            {% endif %}
                            {% endwith %}
                            {% if match.booking.strasse == invoice_match.invoice.vendor.street %}
                                <td style="color: green;">{{ match.booking.strasse }}</td>
                            {% else %}
                                <td>{{ invoice_match.invoice.vendor.street }}</td>
                            {% endif %}
                            {% if match.booking.text == invoice_match.invoice.reference %}
                                <td style="color: green;">{{ match.booking.text }}</td>
                            {% else %}
                                <td>{{ invoice_match.invoice.reference }}</td>
                            {% endif %}
                        {% else %}
                            <td><a href="{% url 'admin:core_issuedinvoice_change' invoice_match.invoice.id %}/change" target="_blank">{{ invoice_match.invoice }}</a></td>
                            <td>{{ match.booking.fi_belegnummer }}</td>
                            <td>{{ invoice_match.invoice.bkz }}</td>
                            {% if match.booking.tw_betrag == invoice_match.invoice.booked_total %}
                                <td><span style="color: green;">{{ match.booking.tw_betrag }}</span></td>
                            {% else %}
                                <td>{{ invoice_match.invoice.booked_total }}</td>
                            {% endif %}
                            <td>{{ invoice_match.invoice.recipient.post_place }})</td>
                            <td>{{ invoice_match.invoice.recipient.street }}</td>
                        {% endif %}
                    </tr>
                    {% endfor %}
                    <tr onclick="javascript:$('.match-{{ match.booking.id }}').removeAttr('checked', ''); $('#match-{{ match.booking.id }}-invoice-none').attr('checked', 'True');">
                        <td>
                            <label>
                                <input id="match-{{ match.booking.id }}-invoice-none" class="with-gap match-{{ match.booking.id }}" name="booking-{{ match.booking.id }}"
                                       type="radio" value="invoice-none"/>
                                <span></span>
                            </label>
                        </td>
                        <td colspan="7">
                            Nicht matchen
                        </td>
                    </tr>
                    </table>
                    </div>
                    </td>
                </tr>

        {% endfor %}
        </tbody></table>
    </div>
    {% endfor %}
        <button class="btn">Übernehmen</button>
    </form>
    </div>
    <script>
        $(document).ready(function () {
            $('.tabs').tabs();
            $('table').floatThead();
            $('.tooltipped').tooltip();
        });
    </script>
{% endblock %}
